#!/bin/bash

set -e

git submodule update --init --recursive

rm debug release 2>/dev/null || true
find src | grep -E "\.template$" | while read FILE; do
	ruby tools/builder/tools/embed.rb "$FILE"
done

ruby tools/builder/build.rb src/apogee.build.json
mv obj/apogee.bin apogee.debug
cp apogee.debug{,.tmp}
mv apogee.debug.tmp apogee
strip apogee

