#include "model.h"
#include "model/status.h"
#include "model/peer.h"

#include <sys/stat.h>

void model_init()
{
	mkdir( "data", 0750 );
	mkdir( "data/accounts", 0750 );
	mkdir( "data/activities", 0750 );
	mkdir( "data/bookmarks", 0750 );
	mkdir( "data/cache", 0750 );
	mkdir( "data/client_apps", 0750 );
	mkdir( "data/config", 0750 );
	mkdir( "data/crypto", 0750 );
	mkdir( "data/emoji", 0750 );
	mkdir( "data/indempotency", 0750 );
	mkdir( "data/media", 0750 );
	mkdir( "data/notices", 0750 );
	mkdir( "data/owner", 0750 );
	mkdir( "data/webfinger", 0750 );

	status_model_init();
	peer_model_init();
}

