#pragma once

#include <stdbool.h>
#include <stddef.h>

struct ap_object_ptr_or_ref;

struct fetch_data
{
	struct peer* p;
};

bool pull_remote_file( const char* filename, const char* uri );
bool pull_remote_file_if_older( const char* filename, const char* uri, int seconds );

char* fetch_remote_file_to_cache( const char* uri, int seconds );
size_t fetch_handle_header( char* header, size_t size, size_t nitems, void* user );

struct ap_object* fetch_ap_object_ref( const char* uri );

