#pragma once

#include "http/server/server.h"

#include <stdint.h>
#include <stdbool.h>

struct app_args
{
	//uint16_t port;
	struct http_server_args http_settings;
	//char* addr;
	char* domain;
	char* icann_domain;
	char* tor_hidden_service;
	char* user_agent;
	bool debug;
	int section;
	bool disable_tor;
	int tor_socks_port;

	int outbox_discard_limit;

	bool develop;
	bool disabled;
	bool configured;
	int setup_wizard_step;
};

struct app_args* app_args_new( int argc, char** argv );
void app_args_load();
void app_args_release( struct app_args* args );
void app_args_save();

struct form_parser;
void app_args_load_from_form( struct app_args* args, struct form_parser* fp );
extern struct app_args* g_server;

