# apogee

Personal ActivityPub server intended for single-user instances.

This software is intended to support exactly one user, and bot accounts owned by that user.

WARNING! This software is early in development and as such is missing most of the
functionality one would expect from an ActivityPub server. Software is unstable.

USE AT YOUR OWN RISK.

# Features

* Single User - It's just you.
* NoSQL - No need to install or maintain a database.
* ActivityPub federation - follow interesting people on the many instances of the fediverse.

# Dependencies
## Runtime
* libCURL
* OpenSSL
* Globaly resolvable domain name
* Tor

## Source Install/Development
* C Compiler (test with GCC)
* Ruby (hopefully temporary)

# Source Installation Instructions

Ensure you have system packages for the dependencies installed, then run the following code in
a terminal window:

````
git clone https://gitea.polaris-1.work/teknomunk/apogee.git
cd apogee
./build.sh
./apogee --listen=$PORT
````

If everything worked correctly, you should see something similar to the following:

````
Starting Apogee ActivityPub server...
Using port 21630 for web server
Starting section 6 (tor)
Starting section 0 (webserver)
Starting section 1 (inbox)
Starting section 2 (outbox)
Starting section 5 (fetch)
````

The listening port is chosen at random each time the program is run unless setup or a port is specified
with --listen=\$PORT, then the configured port is used. Open a browser and navigate to http://${hostnameOrIPAddress}:${PORT}/,
then fill in the required information.

