#pragma once

#include <time.h>
#include <stdio.h>

struct marker
{
	char* last_read_id;
	int version;
	time_t updated_at;

	char* name;
};

struct marker* marker_from_name( const char* name );
void marker_free( struct marker* m );

void marker_save( struct marker* m );

void marker_write_to_FILE( struct marker* m, FILE* f );

