#pragma once

struct status;
struct timeline
{
	int id;
	char* path;
};

struct timeline* timeline_from_path( const char* path );
struct timeline* timeline_new();
void timeline_free( struct timeline* tl );

int timeline_load_statuses( struct timeline* tl, int offset_from_head, int count, struct status** result );
void timeline_add_post( struct timeline* tl, struct status* s );
void timeline_remove_post( struct timeline* tl, struct status* s );

